#ifndef PAYDVOUCHERSDIALOG_H
#define PAYDVOUCHERSDIALOG_H

#include <autotablemodel.h>
#include "data/voucher.h"

#include <QDialog>

namespace Ui {
class PaydVouchersDialog;
}

class PaydVouchersDialog : public QDialog
{
    Q_OBJECT

public:
    explicit PaydVouchersDialog(QWidget *parent = 0);
    ~PaydVouchersDialog();

private slots:

    void on_btnPrint_clicked();

    void on_btnSave_clicked();

    void on_btnEetNotSen_clicked(bool checked);

    void on_btnSendEet_clicked();

private:
    Ui::PaydVouchersDialog *ui;

    AutoTableModel<Voucher> *m_voucherModel;
    AutoTableModel<VoucherItem> *m_itemModel;
};

#endif // PAYDVOUCHERSDIALOG_H
